Bug 559446 - [abrt] crash in gedit when editing html files with very long lines
[abrt] crash in gedit when editing html files with very long lines
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:890564fb579336350e8471c660d...
:
: 602248 647345 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-28 00:54 EST by Phil V
Modified: 2012-08-16 16:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:07:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.41 KB, text/plain)
2010-01-28 00:54 EST, Phil V
no flags Details
This is an example of a large html file without newlines. (35.50 KB, application/x-gzip)
2010-11-11 03:58 EST, Phil V
no flags Details

  None (edit)
Description Phil V 2010-01-28 00:54:38 EST
abrt 1.0.4 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: gedit
component: gedit
executable: /usr/bin/gedit
kernel: 2.6.31.12-174.2.3.fc12.x86_64
package: gedit-1:2.28.3-1.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
release: Fedora release 12 (Constantine)

comment
-----
editing a fragment of html file. The HTML highlighting was on when the file was being read into the window, but then the highlighting turned off when the file was fully loaded. I tried to turn the html highlighting back on but the menu option indicated it was on. I tried inserting <HTML> at the beginning of the file but while I was typing gedit crashed. 
command line errors:
> gedit selection.html 

(gedit:4776): GtkSourceView-CRITICAL **: Highlighting a single line took too much time, syntax highlighting will be disabled

(gedit:4776): Gtk-CRITICAL **: gtk_text_buffer_get_iter_at_offset: assertion `GTK_IS_TEXT_BUFFER (buffer)' failed

(gedit:4776): Gtk-CRITICAL **: gtk_text_buffer_move_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed
Segmentation fault (core dumped)

How to reproduce
-----
1. Edit a fragment of html ... the fragment must confuse the html parser somehow. I will try to include the file.
2. Place cursor at the front of file. Type space.
3. Press backspace. gedit crashes.
Comment 1 Phil V 2010-01-28 00:54:40 EST
Created attachment 387243 [details]
File: backtrace
Comment 2 Phil V 2010-01-28 01:35:36 EST
if run in terminal, errors at crash are:

(gedit:4923): Gtk-CRITICAL **: gtk_text_buffer_get_iter_at_offset: assertion `GTK_IS_TEXT_BUFFER (buffer)' failed

(gedit:4923): Gtk-CRITICAL **: gtk_text_buffer_move_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed

(gedit:4923): Gtk-WARNING **: Invalid text buffer iterator: either the iterator is uninitialized, or the characters/pixbufs/widgets in the buffer have been modified since the iterator was created.
You must use marks, character numbers, or line numbers to preserve a position across buffer modifications.
You can apply tags and insert marks without invalidating your iterators,
but any mutation that affects 'indexable' buffer contents (contents that can be referred to by character offset)
will invalidate all outstanding iterators

(gedit:4923): Gtk-CRITICAL **: gtk_text_buffer_move_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed

(gedit:4923): Gtk-CRITICAL **: gtk_text_buffer_get_iter_at_offset: assertion `GTK_IS_TEXT_BUFFER (buffer)' failed

(gedit:4923): Gtk-WARNING **: Invalid text buffer iterator: either the iterator is uninitialized, or the characters/pixbufs/widgets in the buffer have been modified since the iterator was created.
You must use marks, character numbers, or line numbers to preserve a position across buffer modifications.
You can apply tags and insert marks without invalidating your iterators,
but any mutation that affects 'indexable' buffer contents (contents that can be referred to by character offset)
will invalidate all outstanding iterators

(gedit:4923): Gtk-CRITICAL **: gtk_text_buffer_get_iter_at_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed
Comment 3 Phil V 2010-09-23 11:40:59 EDT
gedit works fine for files with short lines.

gedit has for years had problems with long lines.

Syntax highlighting exacerbates these problems.

It appears unlikely to be fixed.

Use a more robust editor as needed.
Comment 4 Bug Zapper 2010-11-03 19:44:06 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Karel Klíč 2010-11-08 13:47:19 EST
*** Bug 602248 has been marked as a duplicate of this bug. ***
Comment 6 Karel Klíč 2010-11-08 13:47:24 EST
*** Bug 647345 has been marked as a duplicate of this bug. ***
Comment 7 Phil V 2010-11-11 03:58:55 EST
Created attachment 459694 [details]
This is an example of a large html file without newlines.

Open in gedit, place cursor at top of file, press space, press backspace.
Comment 8 Phil V 2010-11-11 04:01:20 EST
This bug has been reported again as

https://bugzilla.redhat.com/show_bug.cgi?id=627772
Comment 9 Fedora End Of Life 2012-08-16 16:07:15 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.